{% extends "ajax/ajax.html.twig" %}
{% block title %}{% trans from 'admin' %}Auszeichnungen{% endtrans %}{%  endblock %}
{% block ajax %}
    <div class="row soul">
        <div class="cell padded header rw-12">
            {% embed "ajax/admin/users/tabs.html.twig" %}{% endembed %}
            <div class="row">
                {% if is_granted("ROLE_ADMIN") %}
                <div class="cell rw-5 rw-sm-12 distinctions">
                    <div class="distinctions-head center">
                    </div>
                    <div class="distinctions-list center">
                        <div class="overall">
                            {{ '%points% Punkte'|trans({'%points%':0}, 'global') }}
                        </div>
                        <div class="list">
                        {% for picto in pictos %}
                            {% if picto.c > 0 %}
                                <div class="picto{% if picto.rare %} rare{% endif %}">
                                    <div>
                                        <img src="{{  asset('build/images/pictos/' ~ picto.icon ~ '.gif') }}" alt="" /><br />
                                        <div class="counter">
                                        {% for number in picto.c|split('') %}<span class="count" title="{{number}}">{{number}}</span>{% endfor %}
                                        </div>
                                    </div>
                                    <div class="tooltip">
                                        <h1>{{ picto.label|trans({}, 'game') }}</h1>
                                        <em>{{ picto.description|trans({}, 'game')}}</em>
                                    </div>
                                </div>
                            {% endif %}
                        {% endfor %}
                        </div>
                    </div>
                    <div class="distinctions-foot">
                        &nbsp;
                    </div>
                </div>
                <div class="cell rw-5 rw-sm-12">
                    <label for="selectPicto">{{'Eine Auszeichnungen auswählen:'|trans({}, 'admin')}}</label>
                    <select id="selectPicto">
                        {% for pictoPrototype in pictoPrototypes %}
                            <option value="{{pictoPrototype.id}}">{{ pictoPrototype.label|trans({}, 'game') }}</option>
                        {% endfor %}
                    </select>
                    <label for="number">
                        {{'Anzahl der Auszeichnungen:'|trans({}, 'admin')}}
                    </label>
                    <input type="number" id="number" value="1"/>
                    <br />
                    <button id="givebtn">{{'Vergeben!'|trans({}, 'admin')}}</button>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
    {% embed "ajax/admin/users/footer.html.twig" %}{% endembed %}
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% if is_granted("ROLE_ADMIN") %}
        let givebtn = document.getElementById("givebtn");
        if (givebtn) givebtn.addEventListener('click', function(){
            let number = document.getElementById("number").value;
            if(isNaN(number)) number = 1;

            let picto = document.getElementById('selectPicto').value;

            $.ajax.easySend('{{ path('admin_user_give_picto', {id: user.id}) }}', {
                    prototype: picto, number: number
                },
                function () {
                    $.ajax.load(null, '{{ path('admin_users_pictos_view', {id: user.id}) }}', true);
                }
            );
        });
        {% endif %}
    </script>
{% endblock %}